package net.w_horse.excelpojo.excel.reservedword;

import java.text.SimpleDateFormat;
import java.util.Date;


public abstract class AbstractEXEC_DATE extends ReservedWord {

	public AbstractEXEC_DATE() {
		super();
	}

	protected abstract String getDateFormat();

	@Override
	public String getReplacement() {
		Date theDate = new Date();
		return (new SimpleDateFormat(getDateFormat())).format(theDate);
	}

}